cordova.define("cordova-plugin-nimaudiochat.NimAudioChatPlugin", function(require, exports, module) {
               
    var exec = require('cordova/exec');

    var NimAudioChatPlugin = function () {
        this.type = 'nimAudioChat'
    }

    NimAudioChatPlugin.prototype.init = function (callback,appKey, account, token) {
       var ok = function(){}
       var error = function(err){console.error('error when init', err)}
       exec(callback, error, "NimAudioChatPlugin", "init", [appKey, account, token]);
    }

    NimAudioChatPlugin.prototype.logout = function () {
       var ok = function(){}
       var error = function(err){console.error('error when logout', err)}
       exec(ok, error, "NimAudioChatPlugin", "logout", []);
    }

    NimAudioChatPlugin.prototype.sendCall = function (account, type) {
       var ok = function(){}
       var error = function(err){console.error('error when sendCall', err)}
       exec(ok, error, "NimAudioChatPlugin", "sendCall", [account, type]);
    }

    NimAudioChatPlugin.prototype.sendHangup = function () {
       var ok = function(){}
       var error = function(err){console.error('error when sendHangup', err)}
       exec(ok, error, "NimAudioChatPlugin", "sendHangup", []);
    }

    NimAudioChatPlugin.prototype.sendCustomSysMsg = function (account, content) {
       var ok = function(){}
       var error = function(err){console.error('error when sendCustomSysMsg', err)}
       exec(ok, error, "NimAudioChatPlugin", "sendCustomSysMsg", [account, content]);
    }

    NimAudioChatPlugin.prototype.startServerRecord = function (enableServerRecord) {
           var ok = function(){}
           var error = function(err){console.error('error when startServerRecord', err)}
           exec(ok, error, "NimAudioChatPlugin", "startServerRecord", [enableServerRecord]);
    }

    NimAudioChatPlugin.prototype.setDeviceAudioIn = function (state) {
               var ok = function(){}
               var error = function(err){console.error('error when setDeviceAudioIn', err)}
               exec(ok, error, "NimAudioChatPlugin", "setDeviceAudioIn", [state]);
    }

    NimAudioChatPlugin.prototype.subscribeEvent = function (type,accounts,subscribeTime,sync) {
                   var ok = function(){}
                   var error = function(err){console.error('error when subscribeEvent', err)}
                   exec(ok, error, "NimAudioChatPlugin", "subscribeEvent", [type,accounts,subscribeTime,sync]);
    }

    NimAudioChatPlugin.prototype.unSubscribeEvent = function () {
                   var ok = function(){}
                   var error = function(err){console.error('error when unSubscribeEvent', err)}
                   exec(ok, error, "NimAudioChatPlugin", "unSubscribeEvent", []);
    }

    var me = new NimAudioChatPlugin()

    module.exports = me;
});
